agency-board
POST /v1/agency/boards/{boardId}/cards/{cardId}/questions
Ask the client a question about this card.
प्रमाणीकरण
बेअरर टोकन म्हणून API की पाठवा. या एंडपॉईंटने स्पष्टीकरणामध्ये ठराविक परवानगी नमूद केलेली नाही, त्यामुळे तुमच्या कीला आवश्यक तेवढाच कमीत कमी ॲक्सेस द्या आणि गृहीत धरण्याऐवजी प्रतिसाद तपासा.
या एंडपॉइंटला कोणतीही संस्था आयडी (organisation id) लागत नाही. तुमची की (key) आधीच ती कोणत्या संस्थेशी संबंधित आहे हे ओळखते आणि प्रतिसाद त्यानुसार मर्यादित केला जातो.
प्रयत्न करा
कोनसांस्कृतिक कंसात (<>) असलेली कोणतीही गोष्ट तुमच्या स्वतःच्या मूल्यांनी बदला आणि key प्लेसहोल्डरला तुमच्या डॅशबोर्डवरील किने बदला.
curl -X POST https://api.zinndigital.com/v1/agency/boards/{boardId}/cards/{cardId}/questions \
-H "Authorization: Bearer zdk_live_…" \
-H "Content-Type: application/json" \
-d '{ "body": <string> }'साइन इन केलेले आहे? तुमच्या डॅशबोर्डमधील API कन्सोल तुमची खरी संस्था आयडी आणि तुमची स्वतःची की आपोआप भरतो आणि लाइव्ह API विरुद्ध विनंती कार्यान्वित करतो जेणेकरून तुम्हाला वास्तविक प्रतिसाद पाहता येईल. एपी कन्सोलमध्ये हा एंडपॉइंट उघडा
तपशील
⛔⛔ **Asking a question SHARES the card**, and its column, in the same transaction — explicitly, and written to the board's activity feed so the agency can see it happened. A question the client is expected to answer, on a card they cannot open, is a state no screen can render: the client would be emailed a link to nothing. Notifies the **client** organisation (`agency_board.question_asked`).
पॅरामीटर्स
| नाव | प्रकार | आवश्यक | हे काय आहे |
|---|---|---|---|
boardId (path) | Uuid | होय | Project board ID (UUIDv7). |
cardId (path) | Uuid | होय | Board card ID (UUIDv7). |
विनंती मुख्य भाग
| नाव | प्रकार | आवश्यक | हे काय आहे |
|---|---|---|---|
body | string | होय | — |
प्रतिसाद
| नाव | प्रकार | आवश्यक | हे काय आहे |
|---|---|---|---|
id | Uuid | होय | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
card_id | Uuid | होय | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
body | string | होय | — |
status | string<open, answered, cancelled> | होय | — |
answer_body | string | नाही | — |
answered_at | string | नाही | — |
created_at | string | होय | — |
asked_by | AgencyBoardActor | नाही | — |
answered_by | AgencyBoardActor | नाही | — |
ही एंडपॉइंट परत करू शकेल अशा त्रुटी
401 · 403 · 404 · 422